## neovim-autopairs 0~git20250701

=== debian/changelog ===
neovim-autopairs (0~git20250701-2) unstable; urgency=medium

  * d/control: Add vim-team as maintainer

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 11 Oct 2025 17:38:02 +0200

neovim-autopairs (0~git20250701-1) unstable; urgency=medium

  * Initial release. (Closes: #1115224)

 -- Carl Keinath <carl.keinath@gmail.com>  Wed, 24 Sep 2025 20:57:53 +0200

=== debian/watch ===
Version: 5

Source: https://github.com/windwp/nvim-autopairs.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0~git%cd

## neovim-autopairs 0.10.0

=== Makefile ===
test:
	nvim --headless --noplugin -u tests/minimal.vim -c "PlenaryBustedDirectory tests/ {minimal_init = 'tests/minimal.vim'}"

test-file:
	nvim --headless --noplugin -u tests/minimal.vim -c "lua require(\"plenary.busted\").run(\"$(FILE)\")"

=== debian/changelog ===
neovim-autopairs (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * d/watch: switch from mode: git to template as upstream uses tags

 -- Carl Keinath <carl.keinath@gmail.com>  Thu, 16 Oct 2025 15:29:05 +0200

=== debian/control ===
Source: neovim-autopairs
Section: editors
Priority: optional
Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
Uploaders: Carl Keinath <carl.keinath@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-vim-addon,
# neovim-plenary,
Standards-Version: 4.7.2
Homepage: https://github.com/windwp/nvim-autopairs
Vcs-Browser: https://salsa.debian.org/vim-team/neovim-autopairs
Vcs-Git: https://salsa.debian.org/vim-team/neovim-autopairs.git

Package: neovim-autopairs
Architecture: all
Depends:
 ${misc:Depends},
 ${vim-addon:Depends},
Description: Autopair plugin for Neovim
 Plugin for Neovim that automatically inserts matching pairs (parentheses,
 brackets, quotes, etc.). It supports multiple characters, integrates with
 completion plugins and offers customizable rules.
 .
 This is a neovim-only plugin.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Do not execute the upstream makefile
override_dh_auto_build:
# Likewise
override_dh_auto_test:

=== debian/tests/control ===
# disable upstream tests for now as they require plenary
# Tests: upstream-tests
# Depends: @
# Restrictions: allow-stderr

Tests: run-tests
Depends: @

=== debian/watch ===
Version: 5

Template: Github
Owner: windwp
Project: nvim-autopairs
